Foreman - Bug #8791

118n::InvalidLocale: :en is not a valid locale
12/24/2014 02:14 PM - Pavel Andreev

Status: Closed
Priority: Normal
Assignee:
Category: Internationalization
Target version: 1.7.2
Difficulty: easy Fixed in Releases:
Triaged: Found in Releases: 1.7.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2041
Description

Installing from source I've hit the subj during assests and locales compilation. To fix | had to change i18n gem version to 0.6.11 from
i18n (~> 0.6, >= 0.6.4). 0.7.x was installed by default. Also i18n.enforce_available_locales should be set to false to avoid warnings |

guess.

Related issues:

Related to Foreman - Bug #4274: remove 118n deprecation warning when running ...

Related to Foreman - Bug #13256: Revert i18n pin, allow 0.7.x

Resolved 02/06/2014
Closed 01/18/2016

Associated revisions

Revision 40c46f1f - 12/29/2014 10:57 AM - Michael Moll
fixes #8791 - pin i18n gem

Revision d7947de3 - 01/27/2015 10:54 AM - Michael Moll
fixes #8791 - pin i18n gem
(cherry picked from commit 40c46f1f8670e1ef834182fe53e670da8da42428)

Conflicts:
Gemfile

History

#1 - 12/28/2014 10:53 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2041 added
- Pull request deleted ()

#2 - 12/29/2014 11:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset foreman:40c46f1{8670e1ef834182fe53e670da8da42428.

#3 - 01/02/2015 03:18 AM - Dominic Cleal

- Related to Bug #4274: remove 118n deprecation warning when running tests added

#4 - 01/02/2015 03:19 AM - Dominic Cleal
- Project changed from Installer to Foreman
- Category changed from foreman-installer script to Internationalization

- Assignee set to Anonymous
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/40c46f1f8670e1ef834182fe53e670da8da42428

#5 - 01/02/2015 03:24 AM - Dominic Cleal
- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#6 - 01/02/2015 03:25 AM - Dominic Cleal
- Related to deleted (Tracker #3157: Rails 4.1 upgrade tasks)

#7 - 01/18/2016 04:27 AM - Dominic Cleal
- Related to Bug #13256: Revert i18n pin, allow 0.7.x added
